/* jinxExmn.c v.1.0c Aztec C ovr     */
/* examine()                         */
/* Written by Wayne Parham           */ 
/* 09/01/2022                        */


#include "stdio.h"
#include "jinx.h"


void ovmain() {                                                      /* Examine item */
   int i;
   char* item;

   item = getName();

   if( !strcmp(item, all) ) {                                        /* disallow "examine all" */
      printf( s, oneatatime );
      return;
   }
   else if( !strcmp(item, gas) )                                     /* allows "examine gas"   */
      item = gasoline;
   else if( !strcmp(item, match) )                                   /* allows "examine match" */
      item = matches;

   turnsPlayed++;
   timeElapsed( 1 );

   if( (currentLocation == Campus3) && (!strcmp(item, building)) ) {
      printf( s, tallbuilding );
      return;
   }

   for( i = 0; i <= LastItem; i++ ) {                                /* scan for item in inventory          */
      if( (Inventory[i] != NOTHING) && (!strcmp(Item[Inventory[i]], item)) ) {
         if( Detail[Inventory[i]][0] ) {
            printf( s, Detail[Inventory[i]] );                       /* print item detail, if there is any  */
	 } else {
            printf( ordinaryitem, itemName(Inventory[i]) );          /* else print item name                */
         }
         return;
      }
   }

   for( i = 1; i <= LastItem; i++ ) {                                /* see if it's at the current location */
      if( !strcmp(item, Item[i]) ) {
         if( locationOfItem[i] == currentLocation ) {
            if( Detail[i][0] ) {
               printf( s, Detail[i] );                               /* print item detail, if there is any  */
	    } else {
               printf( ordinaryitem, itemName(i) );                  /* else print item name                */
            }
            return;
         }
      }
   }                                                                 /* if item not found */

   printf( nothingfound );                                           /* then print that   */
}
