/* jinxGtAl.c v.1.0c Aztec C ovr     */
/* getall()                          */
/* Written by Wayne Parham           */ 
/* 09/01/2022                        */


#include "stdio.h"
#include "jinx.h"


void get() {                                                         /* Get item */
   int i;
   int j;
   char* item;

   item = getName();

   if( !strcmp(item, gas) )
      item = gasoline;
   else if( !strcmp(item, match) )
      item = matches;

   if( carryingItem(item) ) {                                        /* if we already have it, say so */
      printf( alreadyHave );
      return;
   }

   turnsPlayed++;

   for( i = 1; i <= LastItem; i++ ) {                                /* scan for item                     */
      if( !strcmp(item, Item[i]) ) {
         if( locationOfItem[i] == currentLocation ) {                /* if the item is here               */
            if( size[i] == IMMOVABLE ) {
               printf( cannotmove, item );
               if( i == Statue ) {
                  printf( s, groundshakes );
                  if( !flooded() ) {
                     printf( sdotCr, rainbegins );
                     flood();
                  }
                  else {
                     printf( dotCr );
                  }
               }
               return;
            }
            else if( size[i] + carryLoad() > MAXCARRYSIZE ) {        /* and not too much to carry         */
               printf( s, toomuch );
               return;
            }
            else {
               if( (i == Notice) && (currentLocation == 12) ) {
                  Descript[12] = NULL;
               }
               for( j = 0; j <= LastItem; j++ ) {
                  if( Inventory[j] == NOTHING ) {
                     Inventory[j] = i;                               /* put item in inventory             */
                     locationOfItem[i] = NOWHERE;                    /* remove item from current location */
                     printf( got, item );
                     if( !strcmp(item, mat) && matNotMoved() ) {
                        matMoved();
                     }
                     if( (i == Sword) && !swordFound() ) {           /* sword increases wraith agitation  */
                        foundSword();
                     }
                     return;
                  }
               }
            }
         }
      }
   }
   if( isActiveBusiness( currentLocation ) )
      printf( s, nopoint );
   else
      printf( seeno, item );
}


void ovmain() {                                                      /* Get everything */
   int i;
   int itemsfound;

   itemsfound = FALSE;

   for( i = 1; i <= LastItem; i++ ) {
      if( locationOfItem[i] == currentLocation ) {
         sprintf( buffer, getss, Item[i] );
	 get();
	 itemsfound = TRUE;
      }
   }
   if( !itemsfound )
      printf( s, getnothing ); 
}

